fleet
Patch fleetrecordings
ViewSet for managing fleet recordings.
PATCH
/
fleet
/
recordings
/
{uid}
/
cURL
curl --request PATCH \
--url https://api.avala.ai/api/v1/fleet/recordings/{uid}/ \
--header 'Content-Type: application/json' \
--header 'X-Avala-Api-Key: <api-key>' \
--data '
{
"duration_seconds": 123,
"size_bytes": 0,
"topic_count": -1,
"tags": [
"<string>"
],
"topics": {},
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.avala.ai/api/v1/fleet/recordings/{uid}/"
payload = {
"duration_seconds": 123,
"size_bytes": 0,
"topic_count": -1,
"tags": ["<string>"],
"topics": {},
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}
headers = {
"X-Avala-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Avala-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
duration_seconds: 123,
size_bytes: 0,
topic_count: -1,
tags: ['<string>'],
topics: {},
started_at: '2023-11-07T05:31:56Z',
ended_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.avala.ai/api/v1/fleet/recordings/{uid}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duration_seconds": 123,
"size_bytes": 0,
"topic_count": -1,
"tags": [
"<string>"
],
"topics": {},
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
API_KeyJWT
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
Path Parameters
Body
application/json
Available options:
uploading, processing, ready, error, archived Required range:
-9223372036854776000 <= x <= 9223372036854776000Required range:
-2147483648 <= x <= 2147483647Required string length:
1 - 100Response
200 - application/json
Available options:
uploading, processing, ready, error, archived Required range:
-9223372036854776000 <= x <= 9223372036854776000Required range:
-2147483648 <= x <= 2147483647Required string length:
1 - 100Was this page helpful?
⌘I
cURL
